*******
* DEFAULTS.prg
* Copyright (c) 1987 by F.T.(Ted) Cloak, Jr.
* Copyright (c) 1991 by Acequia DataWorks

*   DEFAULTS  :  allows user to change default names  *

?
?
?'                      DEFAULTS Program'
?      
?'  The purpose of this program is to enable you to customise dBaseTree'
?'to your particular dBaseIII database.  Using it, you enter the names'
?'of your organization, the various fields on your .dbf file, etc.'
?'  Once you have done so, those names are kept on file as defaults'
?'until you need to change them again.'
?
wait
clear
if .not. file("phonetre.mem")
  set talk off
  do olddflts && create default default memory file
  set talk on
endif
restore from phonetre additive
wait;
 'Do you wish to change any default name(s), etc., now? (Y/N)' to ANS
If upper(ANS) = 'Y'
  ?
  ?'  Note that the present defaults appear in parentheses in each question.'
  ?'To leave the default as it is, just press "Return".'
  ?
  on error
  accept 'Name of master membership database ('+T87MSTR+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87MSTR = ANS
  endif
  ?
  accept 'Name of master membership database KEY ('+T87KEYNM+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87KEYNM = ANS
  endif
  ?
  accept 'Length of the key in bytes ('+STR(T87KEYLN,2)+')?' to ANSNUM
  If asc(ANSNUM) # 0   && question answered
    T87KEYLN = ANSNUM
  endif
  ?
  ?'Your master database must be indexed on that key,',T87KEYNM+'.'
  accept 'What is the name of that index ('+T87INDEX+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87INDEX = ANS
  endif
  ?
  ?'Counting both the root and the farthest leaf, what is the allowable'
  accept 'depth of the tree('+STR(T87LEVEL,1)+') (the maximum is 7)?' to ANSNUM
  If asc(ANSNUM) # 0   && question answered
    T87LEVEL = ANSNUM + 1
  endif
  ?
  accept 'Name of your organization ('+T87ORGNM+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ORGNM = ANS
  endif
  ?
  accept 'Street address of your organization ('+T87ORGAD+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ORGAD = ANS
  endif
  ?
  accept 'City, state, and zip code of organization ('+T87ORGCY+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ORGCY = ANS
  endif
  ?
  ?'An abbreviated name of the organization (8 or 10 bytes)'
  accept '('+T87ORGAB+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ORGAB = ANS
  endif
  ?
  accept 'Who is the manager of the tree ('+T87MGR+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87MGR = ANS
  endif
  ?
  accept 'What is his/her home telephone number ('+T87MGRHT+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87MGRHT = ANS
  endif
  ?
  accept 'What is her/his work telephone number ('+T87MGRWT+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87MGRWT = ANS
  endif
  ?
  ?'  The remaining questions all concern fields on your master database.'
  ?
  accept 'First name field ('+T87FNAME+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87FNAME = ANS
  endif
  ?
  accept 'Last name field ('+T87LNAME+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87LNAME = ANS
  endif
  ?
  ?'  Some databases have a line between the name and the street address,'
  ?'for firm name, apartment number, etc. If you have such a line,'
  ?'what is that field called ('+T87XLINE+')? (If not, enter'
  accept '"NONE".)' to ANS
  If asc(ANS) # 0   && question answered
    T87XLINE = ANS
  endif
  ?
  accept 'Street address field ('+T87ADDRS+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ADDRS = ANS
  endif
  ?
  accept 'City field ('+T87CITY+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87CITY = ANS
  endif
  ?
  accept 'State field ('+T87STATE+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87STATE = ANS
  endif
  ?
  accept 'Zip code field ('+T87ZIP+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87ZIP = ANS
  endif
  ?
  accept 'Home telephone number field ('+T87HTEL+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87HTEL = ANS
  endif
  ?
  accept 'Work telephone number field ('+T87WTEL+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87WTEL = ANS
  endif
  ?
  ?'  You may have a "remarks" field (up to 70 characters) on your database'
  ?'wherein you keep useful info on the best time to call a person, etc.'
  ?'If so, what do you call that field ('+T87RMKS+')? (If not, enter'
  accept '"NONE".)' to ANS
  If asc(ANS) # 0   && question answered
    T87RMKS = ANS
  endif
  ?
  ?'  How much time to you want to allow for each caller to pass on the'
  accept 'message ('+T87TIMELMT+')?' to ANS
  If asc(ANS) # 0   && question answered
    T87TIMELMT = ANS
  endif
  ?
  set safety off
  save to phonetre all like t87*
  set safety on
endif


return
