*******
* TREETOP.prg
* Copyright (c) 1987 by F.T.(Ted) Cloak, Jr.
* Copyright (c) 1991 by Acequia DataWorks
* This is a CLIPPER program,  and therefore will not run under dBaseIII+.
* The rest of the dBaseTree programs will run under dBaseIII+ OR compiled
* with Clipper.  Please feel free to incorporate them in your own programs.
*******
set procedure to defaults
set procedure to maketree
set procedure to print_tr
set procedure to prtlist
set procedure to treekeep
set procedure to olddflts
do init
* Menu: User selects
set message to 21 center
declare aline[11]
do while .t.
  clear
  i = 0
  @ 2, 0 say center ("Phone Tree Program", 80)
  @ row()+1, 0 say center("Menu", 80)
  i=i+1
  aline[i] = "defaults"
  @ row()+2, 30 prompt "Defaults Maintenance" message ;
          "Set up and Maintain the Defaults for your Data System"
  i=i+1
  aline[i] = "maketree"
  @ row()+2, 30 prompt "Make Telephone Tree" message ;
          "Organize the 'Calls Me' Records into a Tree for Phoning"
  i=i+1
  aline[i] = "print_tr"
  @ row()+2, 30 prompt "Tree Print" message ;
          "Print a Diagram of the Tree for Perusal and Update"
  i=i+1
  aline[i] = "prtlist"
  @ row()+2, 30 prompt "Print Calling Lists" message ;
          "Print Phone Lists for Callers"
  i=i+1
  aline[i] = "houskeep"
  @ row()+2, 30 prompt "Housekeeping" message ;
	  "ReIndex Files, Initialize Defaults"
  i=i+1
  aline[i] = "Exit"
  @ 12, 60 prompt "Exit" message "Leave the Program, Return to DOS"
  @ 23, 0 say center("Type Initial Letter of Your Choice",80)
  @ 24, 0 say center("OR Use " + chr(24) + chr(25) + " and Press Enter",80)
  menu to choice
  if choice = 0
    exit
  endif
  wchoice = aline[choice]
  clear
  do case
    case wchoice = "Exit"
      exit
    otherwise
      do &wchoice
  endcase
enddo
return

******
procedure houskeep
* Menu: User selects
set message to 21 center
declare bline[5]
private cherce, wcherce
do while .t.
  clear
  i = 0
  @ 2, 0 say center ("HouseKeeping Menu", 80)
  i=i+1
  bline[i] = "treekeep"
  @ row()+2, 30 prompt "Reindex" message ;
	  "ReIndex Files: Use Anytime to Ensure Accuracy"
  i=i+1
  bline[i] = "olddflts"
  @ row()+2, 30 prompt "Initialize Defaults" message ;
	  "(Re-)Create the Defaults File with Initial Values"
  i=i+1
  bline[i] = "Exit"
  @ 12, 60 prompt "Exit" message "Leave the Program, Return to DOS"
  @ 23, 0 say center("Type Initial Letter of Your Choice",80)
  @ 24, 0 say center("OR Use " + chr(24) + chr(25) + " and Press Enter",80)
  menu to cherce
  if cherce = 0
    exit
  endif
  wcherce = bline[cherce]
  clear
  do case
    case wcherce = "Exit"
      exit
    otherwise
      do &wcherce
  endcase
enddo
return
